import { main } from '@/api'
import request from '@/utils/require'

//列表
export function selectStorageQualificationMaterialPageList(paras, data) {
    return request({
        url: `${main}/storagequalificationmaterial/selectStorageQualificationMaterialPageList?pageNum=${paras.page}&pageSize=${paras.size}`,
        method: 'post',
        data
    })
}


//新增/cbl
export function insertStorageQualificationMaterial(data) {
    return request({
        url: `${main}/storagequalificationmaterial/insertStorageQualificationMaterial`,
        method: 'post',
        data
    })
}

//修改
export function updateStorageQualificationMaterial(data) {
    return request({
        url: `${main}/storagequalificationmaterial/updateStorageQualificationMaterial`,
        method: 'post',
        data
    })
}

//删除
export function deleteStorageQualificationMaterial(data) {
    return request({
        url: `${main}/storagequalificationmaterial/deleteStorageQualificationMaterial`,
        method: 'post',
        data
    })
}

//详情
export function selectStorageQualificationMaterialDetail(data) {
    return request({
        url: `${main}/storagequalificationmaterial/selectStorageQualificationMaterialDetail`,
        method: 'post',
        data
    })
}


//禁用启用
export function updateStorageQualificationMaterialStatus(data) {
    return request({
        url: `${main}/storagequalificationmaterial/updateStorageQualificationMaterialStatus`,
        method: 'post',
        data
    })
}


//tongguo
export function selectStorageQualificationMaterialStartDetail() {
    return request({
        url: `${main}/storagequalificationmaterial/selectStorageQualificationMaterialStartDetail`,
        method: 'post'
    })
}